- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Array File Reference

`#include <vector>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/UByte4>`
`#include <osg/Object>`
`#include <osg/GL>`

Include dependency graph for Array:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Array
class | osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >
class | osg::IndexArray
class | osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >
class | osg::ArrayVisitor
class | osg::ConstArrayVisitor
class | osg::ValueVisitor
class | osg::ConstValueVisitor
## Defines
#define | OSG_ARRAY 1
## Typedefs
typedef TemplateIndexArray< GLbyte, Array::ByteArrayType, 1, GL_BYTE > | osg::ByteArray
typedef TemplateIndexArray< GLshort, Array::ShortArrayType, 1, GL_SHORT > | osg::ShortArray
typedef TemplateIndexArray< GLint, Array::IntArrayType, 1, GL_INT > | osg::IntArray
typedef TemplateIndexArray< GLubyte, Array::UByteArrayType, 1, GL_UNSIGNED_BYTE > | osg::UByteArray
typedef TemplateIndexArray< GLushort, Array::UShortArrayType, 1, GL_UNSIGNED_SHORT > | osg::UShortArray
typedef TemplateIndexArray< GLuint, Array::UIntArrayType, 1, GL_UNSIGNED_INT > | osg::UIntArray
typedef TemplateArray< GLfloat, Array::FloatArrayType, 1, GL_FLOAT > | osg::FloatArray
typedef TemplateArray< UByte4, Array::UByte4ArrayType, 4, GL_UNSIGNED_BYTE > | osg::UByte4Array
typedef TemplateArray< Vec2, Array::Vec2ArrayType, 2, GL_FLOAT > | osg::Vec2Array
typedef TemplateArray< Vec3, Array::Vec3ArrayType, 3, GL_FLOAT > | osg::Vec3Array
typedef TemplateArray< Vec4, Array::Vec4ArrayType, 4, GL_FLOAT > | osg::Vec4Array

## Define Documentation

#define OSG_ARRAY 1